Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.escape.view.vis
Class Overhead2DView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.eclipse.amp.escape.ascape.view.ModelScapeView
              org.eclipse.amp.escape.ascape.view.EditPartFactoryScapeView
                  org.eclipse.amp.escape.ascape.view.EditPartScapeView
                      org.ascape.view.vis.GraphicsView
                          org.ascape.view.vis.AgentView
                              org.ascape.view.vis.CellView
                                  org.ascape.view.vis.HostedAgentView
                                      org.ascape.view.vis.Overhead2DView
                                          org.escape.view.vis.Overhead2DView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, java.util.Observer, org.ascape.model.event.ScapeListener, org.ascape.util.HasName, org.ascape.util.vis.IDrawSelection, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPartFactory, org.eclipse.jface.viewers.ISelectionProvider

    public class Overhead2DView

extends org.ascape.view.vis.Overhead2DView

Author:
  mparker
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.view.vis.HostedAgentView
`agents_fill_cells_draw_feature, agents_oval_cells_boundary_draw_feature, agents_oval_cells_desc_draw_feature, agents_oval_cells_draw_feature`

Fields inherited from class org.ascape.view.vis.CellView
`cells_fill_draw_feature, cells_fill_draw_inset_feature`

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`scape`

Constructor Summary
`Overhead2DView()`

Method Summary

Methods inherited from class org.ascape.view.vis.Overhead2DView
`calculateAgentSizeForViewSize, calculateViewSizeForAgentSize, drawSelectedAgent, getAgentAtPixel, isDrawByFeature, isDrawFarNeighbors, isDrawNetwork, isDrawSelectedNeighbors, setDrawByFeature, setDrawFarNeighbors, setDrawNetwork, setDrawSelectedNeighbors, updateScapeGraphics`

Methods inherited from class org.ascape.view.vis.HostedAgentView
`createFeatures, getHostedAgentColorFeature, getPrimaryAgentColorFeature, setHostedAgentColorFeature, setPrimaryAgentColorFeature`

Methods inherited from class org.ascape.view.vis.CellView
`getBorderSize, getCellColorFeature, getCellSize, setBorderSize, setCellColorFeature, setCellSize`

Methods inherited from class org.ascape.view.vis.AgentView
`addDrawFeature, getAgentColorFeature, getAgentSize, getDrawFeatures, getDrawSelection, getMiniumSizeWithin, getPreferredSizeWithin, removeDrawFeature, setAgentColorFeature, setAgentSize, update`

Methods inherited from class org.ascape.view.vis.GraphicsView
`addSelectionChangedListener, createEditPart, createImage, createImageFigure, getImage, getImageFigure, getMinimumSizeWithin, getSelection, getSize, refresh, removeSelectionChangedListener, scapeAdded, scapeIterated, setSelection`

Methods inherited from class org.eclipse.amp.escape.ascape.view.EditPartScapeView
`createInput`

Methods inherited from class org.eclipse.amp.escape.ascape.view.EditPartFactoryScapeView
`getAdapter, getRootPart`

Methods inherited from class org.eclipse.amp.escape.ascape.view.ModelScapeView
`getModel, getName, toString`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getScape, isGraphic, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeClosing, scapeDeserialized, scapeInitialized, scapeNotification, scapeRemoved, scapeSetup, scapeStarted, scapeStopped, setName, setNotifyScapeAutomatically`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Overhead2DView

    public Overhead2DView()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD